Bug 136889 - Captured screen shot containts shadow of GIMP's windows
Summary: Captured screen shot containts shadow of GIMP's windows
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-22 20:43 UTC by Takayuki Ogawa
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-23 12:09:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen Shot (98.29 KB, image/jpeg)
2004-10-22 20:44 UTC, Takayuki Ogawa
no flags Details

Description Takayuki Ogawa 2004-10-22 20:43:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
When I captured the screen shot of a single window, two shadows of the
GIMP's windows appeared on the captured image.

Version-Release number of selected component (if applicable):
gimp-2.0.5-5

How reproducible:
Always

Steps to Reproduce:
1. Start GIMP.
2. Set the target window to overlap with GIMP's windows.
3. Open "Screen Shot..." dialog.
4. Check "a Single Window" option and set "Select Window After" 0 second.
5. Click the target window.

Actual Results:  Shadows of the GIMP's windows appear on the captured
image.

Expected Results:  Whole of the image of the selected window is able
to be captured even it is hidden by GIMP's ones.


Additional info:
GIMP's packages:
gimp-2.0.5-5
gimp-gap-2.0.2-2
gimp-print-4.2.7-2
gimp-print-4.2.7-1
gimp-data-extras-1.2.0-12
gimp-print-utils-4.2.7-2
gimp-print-plugin-4.2.7-1
gimp-help-2-0.1.0.3
xsane-gimp-0.92-13
gimp-print-plugin-4.2.7-2
gimp-print-utils-4.2.7-1

x-org's version is 6.8.1-12.

Comment 1 Takayuki Ogawa 2004-10-22 20:44:05 UTC
Created attachment 105675 [details]
Screen Shot

Comment 2 Nils Philippsen 2004-10-23 12:09:25 UTC
The problem you see lies in the method how GIMP acquires the
screenshots (under X11 anyway), to change this would require
substantial efforts. I'll close this UPSTREAM, as the bug is known
there as well:

http://bugzilla.gnome.org/show_bug.cgi?id=144788

As I understand it, there are two ways to wrkaround the issue:

- Ensure that the target window isn't obscured by the GIMP's windows.
If necessary use a suitable delay to hide the GIMP's windows in the
meantime.

- I'm not so sure about that one (whether it works on all graphics
cards): Enable backing store (option "-bs" when running the X server),
then it will at least show the contents of the obscuring windows
instead of some random garbage from the obscured window.

Comment 3 Nils Philippsen 2004-10-23 20:51:15 UTC
And of course that:

------- Additional Comment #9 From sven@gimp.org  2004-10-23 11:42 -------

Your comment at the RedHat bugtracker misses the third solution:

- Use xwd to take the screenshot and load the resulting image into GIMP.




Note You need to log in before you can comment on or make changes to this bug.